Subject: RE: [eap] Some comments on draft-groeting-netselection-results-00.txt

From: Ruffino Simone <[email-masked]>
Date: Tue, 03 Aug 2004 23:43:43 +0200

Hi Stefan,
See comments inline.
Regards,
Simone

> 
> 2) Youre right, the figure only deals with mediating network information,
> which is wrong. In our concepts additional network information, e.g. on
> pricing and QoS, should be provided for the access network as well as for
> the mediating networks.

Regarding access network info, it was already commented on the ML that it's closely related with lower layer information and attachment decision and that it must be further discussed, which I agree.

Regarding putting more info about MNs into EAP packets: I'm of course in favor of having mediating network info delivered to the user during authentication (I here mean the realm, as specified in Farid's draft). 
But, if the AN has many roaming agreements with many MNs, it could be a problem to update on the AN AAA server all the information elements you mentioned (besides problems related to EAP maximum packet length). For example, pricing could frequently change.
The information about available MNs is easily retrievable, but the rest may require input from the MNs, which should be put somehow on the AN AAA server (and this is currently not specified anywhere).
One of the advantage of transmitting only the realm is that it's a very low-impact add-on for the Access Network.

> 
> 3) In draft we didn't want to go in details of implementing and testing,
> so
> in chapter 3.4 we only described the general test platform for the EAP
> network discovery. In our testbed we proof different functionalities,
> which
> are useful and needed for multimode devices. This includes as describes
> network selection issues, but also other aspects like session based
> handover.
> 
> Hope this answers your questions.
> Regards,
> Stefan
> 
> > -----Ursprüngliche Nachricht-----
> > Von: Ruffino Simone [mailto:[email-masked]]
> > Gesendet: Freitag, 30. Juli 2004 19:36
> > An: Groeting Wolfgang ICM Bocholt;
> > [email-masked]; Ness Malte ICM Bocholt; Berg
> > Stefan ICM Bocholt
> > Cc: [email-masked]
> > Betreff: [eap] Some comments on
> > draft-groeting-netselection-results-00.txt
> >
> >
> > Dear authors and all,
> >
> > Very useful draft: it helps understanding possibilities and
> > problems of having additional information carried with EAP.
> >
> > I would like to better clarify some points.
> >
> > 1) You separate 'Roaming Agreements' and 'Mediating Networks'
> > information element. From my point of view, they could be
> > merged, since an Access Network, using MN advertising,
> > implicitly tells the client that it holds an agreement with
> > the advertised MNs. What kind of hint should RAs give to the client?
> >
> > 2) In my understanding of your draft, some information
> > element (s.a. cost and QoS) can refer both to the Access
> > Network and to Mediating Networks. But reading sec. 3.2
> > (Figure 2), it seems that all the additional info is related
> > only to MNs : MN1--C1--RA1--etc. Can you clarify this ?
> >
> > 3) (in Sec. 3, implementation and testing ). What kind of
> > tests do you performed on the testbed? What kind of scenario
> > did you simulate ? I think it would be very useful to have
> > someusage example. Is it worth including it in the draft (is
> > it the right place ?) ?
> >
> > Regards,
> > Simone
> >
> >
> >
> > Gruppo Telecom Italia - Direzione e coordinamento di Telecom
> > Italia S.p.A.
> >
> > ====================================================================
> > CONFIDENTIALITY NOTICE
> > This message and its attachments are addressed solely to the
> > persons above and may contain confidential information. If
> > you have received the message in error, be informed that any
> > use of the content hereof is prohibited. Please return it
> > immediately to the sender and delete the message. Should you
> > have any questions, please send an e_mail to
> > [email-masked]. Thank you
> > ====================================================================
> >

Gruppo Telecom Italia - Direzione e coordinamento di Telecom Italia S.p.A.

====================================================================
CONFIDENTIALITY NOTICE
This message and its attachments are addressed solely to the persons
above and may contain confidential information. If you have received
the message in error, be informed that any use of the content hereof
is prohibited. Please return it immediately to the sender and delete
the message. Should you have any questions, please send an e_mail to 
[email-masked]. Thank you
====================================================================
_______________________________________________
eap mailing list
[email-masked]
http://mail.frascone.com/mailman/listinfo/eap